import type { SidebarsConfig } from '@docusaurus/plugin-content-docs'

/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */
const sidebars: SidebarsConfig = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  // tutorialSidebar: [{ type: 'autogenerated', dirName: '.' }],
  cozyStack: [{ type: 'autogenerated', dirName: 'cozystack' }],
  easyCozy: [{ type: 'autogenerated', dirName: 'easycozy' }],
  ecolyo: [{ type: 'autogenerated', dirName: 'ecolyo' }],
  ecolyoAgent: [{ type: 'autogenerated', dirName: 'ecolyo-agent' }],
  gettingStarted: [{ type: 'autogenerated', dirName: 'getting-started' }],
  konnectors: [{ type: 'autogenerated', dirName: 'konnectors' }],
  openshift: [{ type: 'autogenerated', dirName: 'openshift' }],
  pilote: [{ type: 'autogenerated', dirName: 'pilote' }],
  proxy: [{ type: 'autogenerated', dirName: 'cozystack' }],
  // this custom sidebar allows isolation inside the page but requires much more configuration
  // ecolyoSidebar: [
  //   { type: 'doc', id: 'ecolyo/index', label: 'Introduction' },
  //   {
  //     type: 'doc',
  //     id: 'ecolyo/share',
  //     label: '🚀 Ecolyo au-delà de la Métropole',
  //   },
  //   {
  //     type: 'category',
  //     label: 'Functionalities',
  //     link: {
  //       type: 'generated-index',
  //       title: 'Ecolyo/Functionalities',
  //     },
  //     items: [
  //       'ecolyo/functionalities/analysis',
  //       'ecolyo/functionalities/challenge',
  //       'ecolyo/functionalities/consumption',
  //       'ecolyo/functionalities/dacc',
  //       'ecolyo/functionalities/ecogesture',
  //       'ecolyo/functionalities/feedback',
  //       'ecolyo/functionalities/initialization',
  //       'ecolyo/functionalities/matomo',
  //       'ecolyo/functionalities/onboarding',
  //       'ecolyo/functionalities/prices',
  //       'ecolyo/functionalities/profile',
  //       'ecolyo/functionalities/pwa',
  //       'ecolyo/functionalities/terms',
  //     ],
  //   },
  //   {
  //     type: 'category',
  //     label: '🛠️ Technical',
  //     link: {
  //       type: 'generated-index',
  //       title: 'Ecolyo/Technical',
  //     },
  //     items: [
  //       'ecolyo/technical/architecture',
  //       'ecolyo/technical/deploy',
  //       'ecolyo/technical/doctypes',
  //       'ecolyo/technical/environments',
  //       'ecolyo/technical/gitflow',
  //       'ecolyo/technical/launch_local_application',
  //       'ecolyo/technical/libraries',
  //       'ecolyo/technical/mail',
  //       'ecolyo/technical/redux',
  //       'ecolyo/technical/release',
  //       'ecolyo/technical/remote_doctypes',
  //       'ecolyo/technical/scaffolding',
  //       {
  //         type: 'category',
  //         label: 'Services',
  //         link: {
  //           type: 'generated-index',
  //           title: 'Ecolyo/Technical/Services',
  //         },
  //         items: [
  //           'ecolyo/technical/services/index',
  //           'ecolyo/technical/services/aggregator_usage_events',
  //           'ecolyo/technical/services/consumption_alert',
  //           'ecolyo/technical/services/enedis_halfhour_monthly_analysis',
  //           'ecolyo/technical/services/monthly_report_notification',
  //         ],
  //       },
  //     ],
  //   },
  // ],

  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    'intro',
    'hello',
    {
      type: 'category',
      label: 'Tutorial',
      items: ['tutorial-basics/create-a-document'],
    },
  ],
   */
}

export default sidebars
